#-------------------------------------------------
#
# Project created by QtCreator 2012-07-07T18:13:16
#
#-------------------------------------------------

QT       += widgets
QT       += network #network communication
QT       += script #for json parse
win32 {
QT       += winextras
}
CONFIG   += c++14

INCLUDEPATH += ./packageWizard
INCLUDEPATH += ./soundWizard
INCLUDEPATH += ./bgImageWizard
INCLUDEPATH += ./bgImageWizard
INCLUDEPATH += ./xmlToolsInterface
INCLUDEPATH += ./windowMessagesWizard

# Used this great tutorial to build zlib and quazip:
# http://www.antonioborondo.com/2014/10/22/zipping-and-unzipping-files-with-qt/
INCLUDEPATH += ../Libs/zlib-1.2.8
LIBS += -L../Libs/zlib-1.2.8 -lz
INCLUDEPATH += ../Libs/quazip-0.7.2/quazip
win32 {
LIBS += -L../Libs/quazip-0.7.2/quazip/release -lquazip
}
macx {
LIBS += -L../Libs/quazip-0.7.2/quazip -lquazip
}

macx {
LIBS += -lz # for mac support zipping (thanks edt!)
ICON = vago_icon.icns # mac os icon
}

INCLUDEPATH += ./libs/DropTableWidget
INCLUDEPATH += ./libs/DropLineEdit
INCLUDEPATH += ../Libs/pugixml

win32 {
RC_FILE = icon_resource.rc #for windows explorer icon
}

TARGET = Vago
TEMPLATE = app

SOURCES += \
    util.cpp \
    preferences.cpp \
    manualcommands.cpp \
    mainwindow.cpp \
    main.cpp \
    logger.cpp \
    converter.cpp \
    about.cpp \
    packageWizard/packagewizard.cpp \
    packageWizard/packagepagefinal.cpp \
    packageWizard/packagepage4.cpp \
    packageWizard/packagepage3.cpp \
    packageWizard/packagepage2.cpp \
    soundWizard/soundpage2.cpp \
    soundWizard/soundpage3.cpp \
    soundWizard/soundpage4.cpp \
    soundWizard/soundpage5.cpp \
    soundWizard/soundpagefinal.cpp \
    soundWizard/soundwizard.cpp \
    bgImageWizard/bgimagepage2.cpp \
    xmlprocessor.cpp \
    utilvago.cpp \
    bgImageWizard/bgimagewizard.cpp \
    bgImageWizard/bgimagepage3.cpp \
    bgImageWizard/bgimagepagefinal.cpp \
    xmlToolsInterface/xmltoolsinterface.cpp \
    libs/BasicXMLSyntaxHighlighter/BasicXMLSyntaxHighlighter.cpp \
    xmlToolsInterface/xmltoolsinterfacecommandpreview.cpp \
    libs/LineNumberDisplay/LineNumberDisplay.cpp \
    abstractwizard.cpp \
    windowMessagesWizard/wmsetuppage.cpp \
    windowMessagesWizard/wmformatpage.cpp \
    windowMessagesWizard/wmpage.cpp \
    windowMessagesWizard/wmwizard.cpp \
    windowMessagesWizard/wmfinalpage.cpp \
    ./libs/DropTableWidget/droptablewidget.cpp \
    ./libs/DropLineEdit/droplineedit.cpp \
    ../Libs/pugixml/pugixml.cpp

HEADERS  += \
    util.h \
    preferences.h \
    manualcommands.h \
    mainwindow.h \
    logger.h \
    converter.h \
    about.h \
    packageWizard/packagewizard.h \
    packageWizard/packagepagefinal.h \
    packageWizard/packagepage4.h \
    packageWizard/packagepage3.h \
    packageWizard/packagepage2.h \
    soundWizard/soundpage2.h \
    soundWizard/soundpage3.h \
    soundWizard/soundpage4.h \
    soundWizard/soundpage5.h \
    soundWizard/soundpagefinal.h \
    soundWizard/soundwizard.h \
    bgImageWizard/bgimagepage2.h \
    xmlprocessor.h \
    utilvago.h \
    bgImageWizard/bgimagewizard.h \
    bgImageWizard/bgimagepage3.h \
    bgImageWizard/bgimagepagefinal.h \
    xmlToolsInterface/xmltoolsinterface.h \
    libs/BasicXMLSyntaxHighlighter/BasicXMLSyntaxHighlighter.h \
    xmlToolsInterface/xmltoolsinterfacecommandpreview.h \
    libs/LineNumberDisplay/LineNumberDisplay.h \
    wizardfactory.h \
    abstractwizard.h \
    windowMessagesWizard/wmsetuppage.h \
    windowMessagesWizard/wmformatpage.h \
    windowMessagesWizard/wmpage.h \
    windowMessagesWizard/wmwizard.h \
    windowMessagesWizard/wmfinalpage.h \
    ./libs/DropTableWidget/droptablewidget.h \
    ./libs/DropLineEdit/droplineedit.h \
    ../Libs/pugixml/pugixml.hpp

FORMS    += \
    mainwindow.ui \
    preferences.ui \
    manualcommands.ui \
    about.ui \
    packageWizard/packagepagefinal.ui \
    packageWizard/packagepage4.ui \
    packageWizard/packagepage3.ui \
    packageWizard/packagepage2.ui \
    soundWizard/soundpage2.ui \
    soundWizard/soundpage3.ui \
    soundWizard/soundpage4.ui \
    soundWizard/soundpage5.ui \
    soundWizard/soundpagefinal.ui \
    bgImageWizard/bgimagepage2.ui \
    bgImageWizard/bgimagepage3.ui \
    bgImageWizard/bgimagepagefinal.ui \
    xmlToolsInterface/xmltoolsinterface.ui \
    xmlToolsInterface/xmltoolsinterfacecommandpreview.ui \
    windowMessagesWizard/wmsetuppage.ui \
    windowMessagesWizard/wmformatpage.ui \
    windowMessagesWizard/wmfinalpage.ui

RESOURCES += \
    resources.qrc \
